Skip to main content

API

Overview​

Definition of the DALION API.

Any programming language capable of sending HTTP GET requests can interact with the DALI lamps through the DALION.

The data are transferred in the JSON format and with URL parameters.

For example, the HTTP GET requests can be sent via a command line script with the cURL command.

curl -X "GET" "http://192.168.0.210/api/v100/dali_devices.ssi?action=set_level&ch=1&sa=3&da=1000"

Requests​

Sets lamp, group or channel light intensity​

Allows modifying the light intensity of a lamp or multiple lamps.

This request uses the DALI short address of the lamp. The short address of a lamp index can be retrieved with the request get or get_device.

To modify a lamp light intensity with its lamp index the request set_device must be used.

Request URL​

/api/v100/dali_devices.ssi?action=set_level&ch={channel}&sa={short-address}&da={value-in-percent}

Parameters​

NameValue
actionset_level
chThe number of the DALI channel, 1-4
saThe DALI short address, 0-63. Multiple addresses can be passed in an array [sa, sa, ...]. The array must be URL encoded.
giThe DALI group, 0-15 or -1 for the broadcast. Multiple groups can be passed in an array [gi, gi, ...]. The array must be URL encoded.
daThe value in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

Examples​

Sets to 100% the light intensity of the DALI lamp with the short address 3 on the channel 1.

/api/v100/dali_devices.ssi?action=set_level&ch=1&sa=3&da=1000

Sets to 100% the light intensity of the DALI group 3 on the channel 1.

/api/v100/dali_devices.ssi?action=set_level&ch=1&gi=3&da=1000

Sets to 70% the light intensity of the groups 1 and 10 on the channel 1.

/api/v100/dali_devices.ssi?action=set_level&ch=1&gi=%5B1%2C%2010%5D&da=700

Sets to 20% the light intensity of the entire DALI channel 1.

/api/v100/dali_devices.ssi?action=set_level&ch=1&gi=-1&da=200

Get the list of lamps and control devices​

Allows retrieving the list of the devices for a channel.

Request URL​

/api/v100/dali_devices.ssi?action=get&ch={channel}

Parameters​

NameValue
actionget
chThe number of the DALI channel, 1-4

Response​

The list of the assigned and unassigned DALI lamps, the list of the assigned and unassigned DALI-2 control devices.

{
"type": "dali_devices",
"action": "get",
"data": {
"status": 0,
"mode": 0,
"devices": {
"devices": [{
"ii": "0",
"na": "Lamp 1-00",
"sa": 3,
"fl": 1,
"dt": [6, 255],
"al": 0,
"si": 0
}]
},
"unassigned_devices": {
"devices": []
},
"control_devices": {
"devices": [{
"ii": "0",
"na": "Input 1-00",
"sa": 1,
"fl": 1,
"it": "26",
"dt": 0,
"al": 0,
"si": 32,
"os": 255,
"ls": 52
}, {
"ii": "1",
"na": "Input 1-01",
"sa": 3,
"fl": 1,
"it": "27",
"dt": 0,
"al": 0,
"si": 32,
"os": 0,
"ls": 128
}]
},
"unassigned_control_devices": {
"devices": []
}
}
}
action​

get

data​

Contains the DALI devices lists.

status​
ValueDescription
0The DALI channel scan is currently inactive
1The DALI channel scan has been launched and some command might not be available
mode​
ValueDescription
0The DALI channel is available
1The commands affecting DALI lamps are disabled
devices​

Contains the list of assigned lamps.

devices​

The list of assigned lamps.

ii​

The lamp index, 0-63.

na​

The name of the lamp.

sa​

The DALI short address of the lamp.

fl​

The flags of the lamp.

ValueDescription
0No lamp assigned for this index
1A lamp is assigned for this index
dt​

An array of the DALI supported device types of the lamp.

ValueName
0Fluorescent
1Self-contained emergency
2Discharge HID
3Low-voltage halogen
4Incandescent lamp
5Conversion to DC voltage
6LED
7Switching relay
8Colour
255Not specified
al​

The actual light intensity of the lamp in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

si​

The actual status information of the lamp.

The value 255 means communication failure with the lamp. Otherwise when the bit 2 is set it means the lamp has a problem. The other value means that the lamp is functioning normally.

unassigned_devices​

The list of the unassigned devices discovered after a scan of the channel.

control_devices​

The list of the control devices.

it​

The supported instances type by the control device. Each bit indicates if a type is supported or not.

BitType
1Push Buttons
3Occupancy Sensor
4Light Sensor
os​

The actual occupancy state of the sensor.

ValueName
0Unoccupied
255Occupied
ls​

The actual light value of the sensor.

unassigned_control_devices​

The list of the unassigned control devices discovered after a scan of the channel.

Examples​

Gets the DALI devices of the first channel.

/api/v100/dali_devices.ssi?action=get&ch=1

Get lamp information​

Allows retrieving the information of a lamp.

Request URL​

/api/v100/dali_devices.ssi?action=get_device&ch={channel}&di={device-index}

Parameters​

NameValue
actionget_device
chThe number of the DALI channel, 1-4
diThe lamp index, 0-63

Response​

The response contains the values as well as other information like the value limitation, name, etc.

{
"type": "dali_devices",
"action": "get_device",
"data": {
"device": {
"name": "Lamp 1-00",
"types": ["6", "255"],
"variables": [{
"ty": "nb10",
"id": "dval",
"tx": "Actual Level %",
"va": "0",
"ph": "",
"mi": "0",
"ma": "1000",
"st": "1"
}, {
"ty": "tx",
"id": "na",
"tx": "Name",
"va": "Lamp 1-00",
"ph": ""
}, {
"ty": "nb10",
"id": "dvpl",
"tx": "Power On Level %",
"va": "1000",
"ph": "MASK",
"mi": "0",
"ma": "1000",
"st": "1"
}, {
"ty": "nb10",
"id": "dvsl",
"tx": "System Failure Level %",
"va": "1000",
"ph": "MASK",
"mi": "0",
"ma": "1000",
"st": "1"
}, {
"ty": "nb10",
"id": "dvnl",
"tx": "Minimum Level %",
"va": "1",
"ph": "",
"mi": "1",
"ma": "1000",
"st": "1"
}, {
"ty": "nb10",
"id": "dvxl",
"tx": "Maximum Level %",
"va": "1000",
"ph": "",
"mi": "10",
"ma": "1000",
"st": "1"
}, {
"ty": "se",
"id": "dvfr",
"tx": "Fade Rate steps/s",
"va": "7",
"op": [{
"va": 1,
"tx": "358"
}, {
"va": 2,
"tx": "253"
}, {
"va": 3,
"tx": "179"
}, {
"va": 4,
"tx": "127"
}, {
"va": 5,
"tx": "89.4"
}, {
"va": 6,
"tx": "63.3"
}, {
"va": 7,
"tx": "44.7"
}, {
"va": 8,
"tx": "31.6"
}, {
"va": 9,
"tx": "22.4"
}, {
"va": 10,
"tx": "15.8"
}, {
"va": 11,
"tx": "11.2"
}, {
"va": 12,
"tx": "7.9"
}, {
"va": 13,
"tx": "5.6"
}, {
"va": 14,
"tx": "4.0"
}, {
"va": 15,
"tx": "2.8"
}]
}, {
"ty": "se",
"id": "dvft",
"tx": "Fade Time seconds",
"va": "0",
"op": [{
"va": 0,
"tx": "No fade"
}, {
"va": 1,
"tx": "0.7"
}, {
"va": 2,
"tx": "1.0"
}, {
"va": 3,
"tx": "1.4"
}, {
"va": 4,
"tx": "2.0"
}, {
"va": 5,
"tx": "2.8"
}, {
"va": 6,
"tx": "4.0"
}, {
"va": 7,
"tx": "5.7"
}, {
"va": 8,
"tx": "8.0"
}, {
"va": 9,
"tx": "11.3"
}, {
"va": 10,
"tx": "16.0"
}, {
"va": 11,
"tx": "22.6"
}, {
"va": 12,
"tx": "32.0"
}, {
"va": 13,
"tx": "45.3"
}, {
"va": 14,
"tx": "64.0"
}, {
"va": 15,
"tx": "90.5"
}]
}, {
"ty": "nb",
"id": "dvgr",
"tx": "Groups",
"va": "0",
"ph": "",
"mi": "0",
"ma": "65535",
"st": "1"
}, {
"ty": "nb",
"id": "dvsa",
"tx": "Short Address",
"va": "1",
"ph": "",
"mi": "0",
"ma": "63",
"st": "1"
}, {
"ty": "nb",
"id": "dvrh",
"tx": "Run Hours (seconds)",
"va": "7440",
"ph": "",
"mi": "0",
"ma": "2147483647",
"st": "1"
}, {
"ty": "nb",
"id": "dvbi",
"tx": "Burn-In (seconds)",
"va": "0",
"ph": "",
"mi": "0",
"ma": "2147483647",
"st": "1"
}, {
"ty": "lt",
"id": "bo",
"tx": "BACnet Object",
"va": "Analog Output/Input 0"
}, {
"ty": "lt",
"id": "re",
"tx": "Reliability",
"va": "0 (no-fault-detected)"
}]
}
}
}
action​

get_device

data​

Contains the information of the DALI device.

name​

The name of the lamp.

types​

An array of the DALI supported device types of the lamp.

ValueName
0Fluorescent
1Self-contained emergency
2Discharge HID
3Low-voltage halogen
4Incandescent lamp
5Conversion to DC voltage
6LED
7Switching relay
8Colour
255Not specified
variables​

An array of lamp variables.

id​
dval​

The actual light intensity in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

na​

The name of the lamp.

dvpl​

The Power On Level in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

dvsl​

The System Failure Level in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

dvnl​

The Minimum Level in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

dvxl​

The Maximum Level in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

dvfr​

The Fade Rate value.

ValueFade Rate (steps/seconds)
1358
2253
3179
4127
589.4
663.3
744.7
831.6
922.4
1015.8
1111.2
127.9
135.6
144.0
152.8
dvft​

The Fade Time value.

ValueFade Time (seconds)
0No fade
10.7
21.0
31.4
42.0
52.8
64.0
75.7
88.0
911.3
1016.0
1122.6
1232.0
1345.3
1464.0
1590.5
dvgr​

It represents the DALI variables "GROUP_0_8" and "GROUP_9_15" concatenated in a 16 bit.

dvsa​

The DALI short address of the lamp.

dvrh​

Number of seconds where the lamp was on.

dvbi​

Number of seconds remaining to the burn-in.

bo​

The BACnet object associated with the lamp.

re​

The reliability of the lamp.

Examples​

Get the lamp 0 for the channel 1.

/api/v100/dali_devices.ssi?action=get_device&ch=1&di=0

Set lamp information​

Allows setting the information of a lamp, group or channel.

Request URL​

/api/v100/dali_devices.ssi?action=set_device&ch={channel}&di={device-index}&device={device-data}

Parameters​

NameValue
actionset_device
chThe number of the DALI channel, 1-4
diThe lamp index, 0-63
giThe DALI group, 0-15 or -1 for the broadcast
deviceThe variable of the lamp to modify. Multiple variables can be passed in an array [data, data, ...]. The array must be URL encoded.
device​

The array of the device information to modify. The array must be URL encoded.

id​

Refers to the id of the get_device request.

va​

Refers to the value of the get_device request.

Uses the same data type as the value from the request get_device. Most values are of the type string.

Response​

{
"type": "dali_devices",
"action": "set_device",
"data": {
"type": "sni",
"result": "success",
"result_code": 0
}
}

Examples​

Sets the name of the lamp 0 for the channel 1.

/api/v100/dali_devices.ssi?action=set_device&ch=1&di=0&device=[{%22id%22:%22na%22,%22va%22:%22Lamp-00%22}]

Sets the name of the group 0 for the channel 1.

/api/v100/dali_devices.ssi?action=set_device&ch=1&gi=0&device=[{%22id%22:%22na%22,%22va%22:%22Group-00%22}]

Sets the actual light intensity to 100% for the lamp 0 of the channel 1.

/api/v100/dali_devices.ssi?action=set_device&ch=1&di=0&device=[{%22id%22:%22dval%22,%22va%22:%221000%22}]

Get groups​

Allows retrieving the information of the groups.

Request URL​

/api/v100/dali_devices.ssi?action=get_groups&ch={channel}

Parameters​

NameValue
actionget_groups
chThe number of the DALI channel, 1-4

Response​

The response contains the values as well as other information like the values limitation, names, etc.

{
"type": "dali_devices",
"action": "get_groups",
"data": {
"status": 0,
"devices": {
"devices": [{
"ii": "0",
"na": "Lamp 1-00",
"fl": 1,
"gr": 1
}, {
"ii": "1",
"na": "Lamp 1-01",
"fl": 1,
"gr": 2
}, {
"ii": "2",
"na": "Lamp 1-02",
"fl": 1,
"gr": 4
}, {
"ii": "3",
"na": "Lamp 1-03",
"fl": 1,
"gr": 7
}],
"groups": [{
"ii": "-1",
"na": "Channel 1",
"fl": 0,
"al": 76,
"si": 4
}, {
"ii": "0",
"na": "Group 1-00",
"fl": 0,
"al": 50,
"si": 4
}, {
"ii": "1",
"na": "Group 1-01",
"fl": 0,
"al": 100,
"si": 4
}, {
"ii": "2",
"na": "Group 1-02",
"fl": 0,
"al": 100,
"si": 4
}, {
"ii": "3",
"na": "Group 1-03",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "4",
"na": "Group 1-04",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "5",
"na": "Group 1-05",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "6",
"na": "Group 1-06",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "7",
"na": "Group 1-07",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "8",
"na": "Group 1-08",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "9",
"na": "Group 1-09",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "10",
"na": "Group 1-10",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "11",
"na": "Group 1-11",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "12",
"na": "Group 1-12",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "13",
"na": "Group 1-13",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "14",
"na": "Group 1-14",
"fl": 0,
"al": 0,
"si": 0
}, {
"ii": "15",
"na": "Group 1-15",
"fl": 0,
"al": 0,
"si": 0
}]
}
}
}
action​

get_groups

data​

Contains the information of the DALI groups.

devices​

The list of assigned devices.

ii​

The lamp index, 0-63.

na​

The name of the lamp.

fl​

The flags of the lamp.

ValueDescription
0No lamp assigned for this index
1A lamp is assigned for this index
gr​

It represents the DALI variables "GROUP_0_8" and "GROUP_9_15" concatenated in a 16 bit.

groups​

The list of groups.

ii​

The group index, 0-15 and -1 for the channel broadcast.

na​

The name of the group.

fl​

The flags of the group.

al​

The actual light intensity of the group in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

si​

The actual status information of the group.

Examples​

Gets the groups for the channel 1.

/api/v100/dali_devices.ssi?action=get_groups&ch=1

Get scenes​

Allows retrieving the information of the scenes.

Request URL​

/api/v100/dali_devices.ssi?action=get_scenes&ch={channel}

Parameters​

NameValue
actionget_scenes
chThe number of the DALI channel, 1-4

Response​

The response contains the scenes values for each assigned lamps as well as other information about the lamps like their names.

{
"type": "dali_devices",
"action": "get_scenes",
"data": {
"status": 0,
"devices": {
"devices": [{
"ii": "0",
"na": "Lamp 1-00",
"fl": 1,
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "1",
"na": "Lamp 1-01",
"fl": 1,
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "2",
"na": "Lamp 1-02",
"fl": 1,
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "3",
"na": "Lamp 1-03",
"fl": 1,
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}]
}
}
}
action​

get_scenes

data​

Contains the DALI scenes information.

devices​

The list of assigned devices.

ii​

The lamp index, 0-63.

na​

The name of the lamp.

fl​

The flags of the lamp.

ValueDescription
0No lamp assigned for this index
1A lamp is assigned for this index
sn​

An array of the values for the 16 scenes. The light intensity of each scene in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

Examples​

Gets the scenes for the channel 1.

/api/v100/dali_devices.ssi?action=get_scenes&ch=1

Set scenes​

Allows modifying the scenes.

Request URL​

/api/v100/dali_devices.ssi?action=set_scenes&ch={channel}&devices={data}

Parameters​

NameValue
actionset_scenes
chThe number of the DALI channel, 1-4
devicesThe scene data for each lamp
devices​

Contains the scene values for each assigned lamp.

{
"devices": [{
"ii": "0",
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "1",
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "2",
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}, {
"ii": "3",
"sn": [1000, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1]
}]
}
ii​

The lamp index, 0-63.

sn​

An array of the values for the 16 scenes. The light intensity of each scene in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%. A value of -1 represents DALI MASK.

Examples​

Sets the scenes for the channel 1.

/api/v100/dali_devices.ssi?action=set_scenes&ch=1&devices=%7B%22devices%22%3A%5B%7B%22ii%22%3A%220%22%2C%22na%22%3A%22Lamp-00%22%2C%22fl%22%3A1%2C%22sn%22%3A%5B1000%2C100%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%5D%7D%2C%7B%22ii%22%3A%221%22%2C%22na%22%3A%22Lamp%201-01%22%2C%22fl%22%3A1%2C%22sn%22%3A%5B1000%2C100%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%5D%7D%2C%7B%22ii%22%3A%222%22%2C%22na%22%3A%22Lamp%201-02%22%2C%22fl%22%3A1%2C%22sn%22%3A%5B1000%2C100%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%5D%7D%2C%7B%22ii%22%3A%223%22%2C%22na%22%3A%22Lamp%201-03%22%2C%22fl%22%3A1%2C%22sn%22%3A%5B1000%2C100%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%2C-1%5D%7D%5D%7D

Recall, store and delete scenes for groups or channel​

Recall, store and delete scenes with this request.

Request URL​

/api/v100/dali_devices.ssi?action=recall_scene&ch={channel}&gi={group-index}&si={scene-index}

Parameters​

NameValue
actionrecall_scene, store_scene or delete_scene
chThe number of the DALI channel, 1-4
giThe DALI group, 0-15 or -1 for the broadcast. Multiple groups can be passed in an array [gi, gi, ...]. The array must be URL encoded.
siThe index of the DALI scene, 0-15

Examples​

Recalls the scene 2 for the group 10 on the channel 1.

/api/v100/dali_devices.ssi?action=recall_scene&ch=1&gi=10&si=2

Stores the scene 2 for the group 10 on the channel 1.

/api/v100/dali_devices.ssi?action=store_scene&ch=1&gi=10&si=2

Deletes the scene 2 for the group 10 on the channel 1.

/api/v100/dali_devices.ssi?action=delete_scene&ch=1&gi=10&si=2

Set lamp, group or channel DT8 colour​

Allows modifying the colour of a lamp or multiple lamps of the DALI type 8.

This request uses the DALI short address of the lamp. The short address of a lamp index can be retrieved with the request get or get_device.

Request URL​

/api/v100/dali_devices.ssi?action=set_colour&ch={channel}&sa={short-address}&cid={colour-id}&ctype={colour-type}&cvalue={colour-value}

Parameters​

NameValue
actionset_colour
chThe number of the DALI channel, 1-4
saThe DALI short address, 0-63. The addresses must be passed in an array [sa, sa, ...]. The array must be URL encoded.
giThe DALI group, 0-15 or -1 for the broadcast. The groups must be passed in an array [gi, gi, ...]. The array must be URL encoded.
cidThe colour to modify
ctypeThe type of colour
cvalueThe colour value
cid​

Indicates the colour to modify.

ValueDescription
d8acActual Level
d8tpPower On Level
d8tfSystem Failure Level
d8s0Scene 0
d8s1Scene 1
d8s2Scene 2
d8s3Scene 3
d8s4Scene 4
d8s5Scene 5
d8s6Scene 6
d8s7Scene 7
d8s8Scene 8
d8s9Scene 9
d8s10Scene 10
d8s11Scene 11
d8s12Scene 12
d8s13Scene 13
d8s14Scene 14
d8s15Scene 15
d8twWarmest Tc
d8tcCoolest Tc
ctype​

Indicates the type of colour.

ValueDescription
16xy-coordinate
32colour temperature Tc
64primary N
128RGBWAF
cvalue​

Indicates the value of the colour. This value is in the JSON format and it must be URL encoded.

{
"ll": 900,
"xx": 400,
"xy": 65535,
"tc": 333,
"p0": 400,
"p1": 65535,
"p2": 65535,
"p3": 65535,
"p4": 65535,
"p5": 65535,
"rr": 144,
"rg": 1,
"rb": 255,
"rw": 255,
"ra": 255,
"rf": 255,
"ll_isMask": false,
"xx_isMask": false,
"xy_isMask": true,
"tc_isMask": false,
"p0_isMask": false,
"p1_isMask": true,
"p2_isMask": true,
"p3_isMask": true,
"p4_isMask": true,
"p5_isMask": true,
"rr_isMask": false,
"rg_isMask": false,
"rb_isMask": true,
"rw_isMask": true,
"ra_isMask": true,
"rf_isMask": true
}
ll​

The level of light intensity in percent multiplied by 10. For example; 0 = 0%, 1 = 0.1%, 1000 = 100%.

xx​

The x, 0-65535, value for the type xy-coordinate.

xy​

The y, 0-65535, value for the type xy-coordinate.

tc​

The value, 0-65535, for the type colour temperature Tc. The unit of the value is Mirek. To value is given by the formula;
M = 1 000 000 / T,
where M is the Mirek value, T is the colour temperature in Kelvin.

p0, p1, p2, p3, p4, p5​

The value, 0-65535, of the level 0, 1, 2, 3, 4 or 5 for the type primary N.

rr​

The value, 0-255, of the red level for the type RGBWAF.

rg​

The value, 0-255, of the green level for the type RGBWAF.

rb​

The value, 0-255, of the blue level for the type RGBWAF.

rw​

The value, 0-255, of the white level for the type RGBWAF.

ra​

The value, 0-255, of the amber level for the type RGBWAF.

rf​

The value, 0-255, of the freecolour level for the type RGBWAF.

xx_isMask​

Indicates that the associated value is the DALI MASK value.

Examples​

Sets to 4000 Kelvin the groups 1 on the channel 1.

/api/v100/dali_devices.ssi?&action=set_colour&ch=1&sa=%5B5%5D&cid=d8ac&ctype=32&cvalue=%7B%22ll%22%3A921%2C%22xx%22%3A250%2C%22xy%22%3A65535%2C%22tc%22%3A250%2C%22p0%22%3A250%2C%22p1%22%3A65535%2C%22p2%22%3A65535%2C%22p3%22%3A65535%2C%22p4%22%3A65535%2C%22p5%22%3A65535%2C%22rr%22%3A250%2C%22rg%22%3A0%2C%22rb%22%3A255%2C%22rw%22%3A255%2C%22ra%22%3A255%2C%22rf%22%3A255%2C%22ll_isMask%22%3Afalse%2C%22xx_isMask%22%3Afalse%2C%22xy_isMask%22%3Atrue%2C%22tc_isMask%22%3Afalse%2C%22p0_isMask%22%3Afalse%2C%22p1_isMask%22%3Atrue%2C%22p2_isMask%22%3Atrue%2C%22p3_isMask%22%3Atrue%2C%22p4_isMask%22%3Atrue%2C%22p5_isMask%22%3Atrue%2C%22rr_isMask%22%3Afalse%2C%22rg_isMask%22%3Afalse%2C%22rb_isMask%22%3Atrue%2C%22rw_isMask%22%3Atrue%2C%22ra_isMask%22%3Atrue%2C%22rf_isMask%22%3Atrue%7D